Bug 510713 - deluge torrent folder renaming bug
deluge torrent folder renaming bug
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-10 08:08 EDT by Alexey Kuznetsov
Modified: 2010-06-28 09:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:33:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Kuznetsov 2009-07-10 08:08:05 EDT
http://www.youtube.com/watch?v=DRo0zRPKdDw
Comment 1 Peter Gordon 2009-07-11 05:09:10 EDT
I do not understand what this issue is about from the video. Is it not removing the old folder as you expect? Not moving the content properly? Restarting unnecessarily? Something else entirely?

Also, what versions of deluge and rb_libtorrent are you using?
Comment 2 Alexey Kuznetsov 2009-07-11 06:30:35 EDT
Peter, sorry for lack info.

Here is several issues, but what i really messed up is folder name rolling back. Other issues is not so critical.

As you can see on video after i rename top torrent folder in deluge and restart application this top folder name rollback to previous one.

I have put some notes on this youtoube video and its look more clear.

Feel free to ask more questions, thx!
Comment 3 Alexey Kuznetsov 2009-07-11 08:12:08 EDT
[axet@axet-laptop ~]$ rpm -q deluge
deluge-1.1.9-1.fc11.noarch
[axet@axet-laptop ~]$ rpm -q rb_libtorrent
rb_libtorrent-0.14.3-2.fc11.i586
[axet@axet-laptop ~]$
Comment 4 Peter Gordon 2009-07-12 03:06:06 EDT
Thanks for explaining the issue further.

I've tested this a bit more and found that when Deluge resumes, it displays the original name in the File information tab - but still uses the new directory name for the actual file(s). So, it *is* properly storing the files to the new location, but just *not* conveying that rename in the UI properly.

I'm looking to see if there is any similar bug posted on Deluge's upstream bug tracker.
Comment 5 Alexey Kuznetsov 2009-07-12 03:18:09 EDT
this is not true for my machine. when i have reproduce this bug, i remove all new deluge folders in my ~/Download folder, then restart deluge. It re create only original folder name "The land before time" and noting about "asdfasf".

i also tried to report this issue to deluge bug tracker, but andar everytime suddenly close it, without investigation.

http://dev.deluge-torrent.org/ticket/702

http://dev.deluge-torrent.org/ticket/690

http://dev.deluge-torrent.org/ticket/760
Comment 6 Bug Zapper 2010-04-27 11:35:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 09:33:34 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.